<div class="modal-content">
    <div class="modal-header">
        <h3 class="modal-title">Daftar Registrasi User</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body">
        <div class="portlet-body">
            <div class="alert alert-modal hidden"></div>
            <form id="form_daftarku" class="form_daftarku" enctype="multipart/form-data" method="post">
                <div class="form-group">
                    <div class="row">
                        <label for="email" class="col-sm-2 control-label">Email</label>
                        <div class="col-10 #{errorClass 'email'/}">
                            <input type="email" class="form-control" required id="email" name="email"
                                   placeholder="Silahkan masukkan email aktif anda" data-toggle="tooltip"
                                   data-placement="bottom"
                                   title="Sistem akan mengirim email berisikan link untuk melengkapi data. Oleh karena itu, pastikan email yang diisi adalah email aktif anda">
                            <span class="help-block">#{error 'email' /}</span>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-success btn-elevate2 btn-elevate-air2 daftar_email" id="daftar_email"><i
                class="fa fa-pencil-square"></i> Daftar
        </button>
        <button type="button" class="btn btn-danger btn-elevate2 btn-elevate-air2" data-dismiss="modal"><i
                class="fa fa-power-off"></i> Tutup
        </button>
    </div>
</div>
<script>
$(function() {
	$(document).on('click', "button#daftar_email", function(){
		$('#form_daftarku').validate({
			errorElement: 'span',
	    	errorClass: 'help-block',
	    	focusInvalid: false,
		 	highlight: function (element) {
	            $(element).closest('.form-group').addClass('has-error');
	        },
	        success: function (label) {
	            label.closest('.form-group').removeClass('has-error');
	            label.remove();
	        },
		});
		if ($('form.form_daftarku').valid()) {
		    $('.alert-modal').addClass('hidden');
            blockPageUI();
		  	$.ajax({
				xhr: function() {
        			var browser = navigator.appName;
					if(browser == "Microsoft Internet Explorer"){
						var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
					} else {
        				var xhr = new window.XMLHttpRequest();
					}
        			xhr.upload.addEventListener("progress", function(evt) {
           		 		if (evt.lengthComputable) {
               		  		var percentComplete = (evt.loaded / evt.total) * 100;
           				}
       				}, false);
       				xhr.addEventListener("progress", function(evt) {
           				if (evt.lengthComputable) {
               				var percentComplete = (evt.loaded / evt.total) *100;
           				}
      			 	}, false);
			 		return xhr;
   				},
			    async:true,
    		    type: "POST",
			    cache: false,
                contentType: false,
                processData: false,
			    data: new FormData($('#form_daftarku')[0]),
			    url: "#{url route.user_management_registrationcontroller_registeruser /}",
				beforeSend: function(){},
        		success: function(result) {
					$('#email').val("");
					if (result.status) {
                        $('.alert-modal')
                            .addClass('alert-success')
                            .removeClass('alert-danger')
                            .removeClass('hidden').html(result.message);
					} else {
					    $('.alert-modal')
                            .addClass('alert-danger')
                            .removeClass('alert-success')
                            .removeClass('hidden').html(result.message);
					}
 		        },
				complete: function(){unblockPageUI();},
			    error: function(){
			        $('.alert-modal')
                        .addClass('alert-danger')
                        .removeClass('alert-success')
                        .removeClass('hidden').html('&{translation.general_error}');
			    }
      		});
		} 
	});
});
</script>